# $Revision: 1.17 $, $Date: 2012/05/17 16:08:30 $
#
%include	/usr/lib/rpm/macros.perl
#
Summary:	Simple configuration storage and query system
Summary(pl.UTF-8):	Prosty system przechowywania i odpytywania konfiguracji
Name:		xfconf
Version:	4.10.0
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://archive.xfce.org/xfce/4.10/src/%{name}-%{version}.tar.bz2
# Source0-md5:	4ed48150a03fb5f42b455494307b7f28
URL:		http://www.xfce.org/projects/xfconf
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	dbus-glib-devel >= 0.72
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxfce4util-devel >= %{version}
BuildRequires:	perl-ExtUtils-Depends >= 0.3
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.0
BuildRequires:	perl-Glib-devel >= 1.224-2
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	xfce4-dev-tools >= 4.10.0
Obsoletes:	libxfce4mcs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xfconf is a simple configuration storage and query system.

%description -l pl.UTF-8
Xfconf jest prostym systemem przechowywania i odpytywania
konfiguracji.

%package devel
Summary:	Header files for Xfconf library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Xfconf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-devel >= 1.0.0
Requires:	dbus-glib-devel >= 0.72
Requires:	glib2-devel >= 1:2.18.0
Obsoletes:	libxfce4mcs-devel
Obsoletes:	xfce-mcs-manager-devel

%description devel
Header files for Xfconf library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Xfconf.

%package apidocs
Summary:	Xfconf API documentation
Summary(pl.UTF-8):	Dokumentacja API Xfconf
Group:		Documentation
Requires:	gtk-doc-common
Obsoletes:	libxfce4mcs-apidocs

%description apidocs
Xfconf API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Xfconf.

%package -n perl-Xfce4-Xfconf
Summary:	Perl interface to the Xfce4 Xfconf
Summary(pl.UTF-8):	Interfejs perlowy do Xfce4 Xfconf
Group:		Development/Languages/Perl
Requires:	perl-Glib >= 1.020

%description -n perl-Xfce4-Xfconf
Perl interface to the Xfce4 Xfconf.

%description -n perl-Xfce4-Xfconf -l pl.UTF-8
Interfejs perlowy do Xfce4 Xfconf.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--with-perl-options="INSTALLDIRS=vendor" \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Xfce4/Xfconf/.packlist

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS TODO
%attr(755,root,root) %{_bindir}/xfconf-query
%attr(755,root,root) %{_libdir}/libxfconf-0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxfconf-0.so.2
%dir %{_libdir}/xfce4/xfconf
%attr(755,root,root) %{_libdir}/xfce4/xfconf/xfconfd
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml
%{_datadir}/dbus-1/services/org.xfce.Xfconf.service

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfconf-0.so
%{_includedir}/xfce4/xfconf-0
%{_pkgconfigdir}/libxfconf-0.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/xfconf

%files -n perl-Xfce4-Xfconf
%defattr(644,root,root,755)
%attr(755,root,root) %{perl_vendorarch}/auto/Xfce4/Xfconf/Xfconf.so
%dir %{perl_vendorarch}/Xfce4
%{perl_vendorarch}/Xfce4/Xfconf.pm
%dir %{perl_vendorarch}/Xfce4/Xfconf
%{perl_vendorarch}/Xfce4/Xfconf/Install
%dir %{perl_vendorarch}/auto/Xfce4
%dir %{perl_vendorarch}/auto/Xfce4/Xfconf
%{perl_vendorarch}/auto/Xfce4/Xfconf/*.bs
%{_mandir}/man3/Xfce4::Xfconf.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfconf.spec,v $
Revision 1.17  2012/05/17 16:08:30  baggins
- static lib dropped

Revision 1.16  2012/05/17 11:45:11  baggins
- xfce 4.10

Revision 1.15  2012/05/17 11:41:09  baggins
- 4.10.0

Revision 1.14  2011/10/11 15:32:39  lisu
- perl-Glib -> perl-Glib-devel >= 1.224-2
- rel 3

Revision 1.13  2011/10/06 20:10:02  lisu
- rel 2

Revision 1.12  2011/02/16 17:31:35  megabajt
- merged from DEVEL

Revision 1.7.2.3  2011/02/07 20:52:08  megabajt
- drop libtool file

Revision 1.11  2011/01/30 16:24:50  sparky
- BR: docbook-dtd412-xml, intltool

Revision 1.7.2.2  2011/01/27 19:48:57  megabajt
- updated to 4.8.0

Revision 1.10  2010/11/14 16:10:25  baggins
- rel 3
- properly remove a directory

Revision 1.9  2010/11/14 16:07:16  baggins
- rel 2
- no ur_PK locale

Revision 1.8  2010/11/14 12:48:57  baggins
- 4.6.2

Revision 1.7.2.1  2010/11/14 12:25:59  baggins
- 4.7.3, XFCE 4.8pre1

Revision 1.7  2010/06/06 15:43:27  arekm
- release 2

Revision 1.6  2009/04/27 07:12:35  adamg
- updated to 4.6.1

Revision 1.5  2009/03/14 19:49:04  hawk
- release 2

Revision 1.4  2009/03/01 15:05:49  megabajt
- %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml moved to xfconf

Revision 1.3  2009/02/28 17:54:04  megabajt
- added O: libxfce4mcs-* xfce-mcs-manager-devel

Revision 1.2  2009/02/27 17:34:11  megabajt
- own %{_sysconfdir}/xdg/xfce4/xfconf

Revision 1.1  2009/02/27 14:26:44  megabajt
- new
